View Issue Details

IDProjectCategoryView StatusLast Update
0023948mantisbtapi restpublic2018-02-22 17:09
Reporterjohgoe Assigned Tovboctor  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0023948: Rest API to read notes for issue
Description

Currently there is no rest api to read notes from an issue.

I added a method myself see https://github.com/johgoe/mantisbt/commit/eb113701c151f86d6d30b90f784d9b80717d366f

The usage is like GET 'https://mantisbt.mobilexag.de/api/rest/issues/12345/notes/'

TagsNo tags attached.

Relationships

related to 0022786 new Support CRUD operations for issue notes 

Activities

vboctor

vboctor

2018-02-10 16:39

manager   ~0058816

Is there a reason why you can't use the GET issue API which also returns the notes?

johgoe

johgoe

2018-02-11 13:48

reporter   ~0058829

@vboctor I don't know, why we didn't see it within the issue API. This API is fine. You can close this issue with "no change required". Thx for you support.

Issue History

Date Modified Username Field Change
2018-02-08 04:51 johgoe New Issue
2018-02-10 16:39 vboctor Assigned To => vboctor
2018-02-10 16:39 vboctor Status new => feedback
2018-02-10 16:39 vboctor Note Added: 0058816
2018-02-11 13:48 johgoe Note Added: 0058829
2018-02-11 13:48 johgoe Status feedback => assigned
2018-02-11 14:32 atrol Status assigned => resolved
2018-02-11 14:32 atrol Resolution open => no change required
2018-02-11 17:15 vboctor Relationship added related to 0022786
2018-02-22 17:09 atrol Status resolved => closed